Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jmeter.reporters
Class ResultCollector

    java.lang.Object
      org.apache.jmeter.testelement.AbstractTestElement
          org.apache.jmeter.reporters.AbstractListenerElement
              org.apache.jmeter.reporters.ResultCollector

All Implemented Interfaces:
  Clearable, Cloneable, NoThreadClone, Remoteable, SampleListener, Serializable, TestElement, TestListener

Direct Known Subclasses:
  MailerResultCollector

public class ResultCollector
extends AbstractListenerElement
implements SampleListener, Clearable, Serializable, TestListener, Remoteable, NoThreadClone

This class handles all saving of samples. The class must be thread-safe because it is shared between threads (NoThreadClone).

See Also:
  Serialized Form

Field Summary
`static String` | `FILENAME`

Fields inherited from interface org.apache.jmeter.testelement.TestElement
`COMMENTS, ENABLED, GUI_CLASS, NAME, TEST_CLASS`

Constructor Summary
`ResultCollector()` No-arg constructor.

Method Summary
`void` | `clearData()` Clears the current data of the object.
`Object` | `clone()`
`String` | `getFilename()`
`SampleSaveConfiguration` | `getSaveConfig()`
`boolean` | `isErrorLogging()`
`boolean` | `isSampleWanted(boolean success)` Decides whether or not to a sample is wanted based on: - errorOnly - successOnly - sample success Should only be called for single samples.
`static boolean` | `isSampleWanted(boolean success, boolean errorOnly, boolean successOnly)` Decides whether or not to a sample is wanted based on: - errorOnly - successOnly - sample success This version is intended to be called by code that loops over many samples; it is cheaper than fetching the settings each time.
`boolean` | `isSuccessOnlyLogging()`
`void` | `loadExistingFile()` Loads an existing sample data (JTL) file.
`void` | `recordStats(TestElement e)` recordStats is used to save statistics generated by visualizers
`void` | `sampleOccurred(SampleEvent event)` When a test result is received, display it and save it.
`void` | `sampleStarted(SampleEvent e)` A sample has started.
`void` | `sampleStopped(SampleEvent e)` A sample has stopped.
`protected void` | `sendToVisualizer(SampleResult r)`
`void` | `setErrorLogging(boolean errorLogging)`
`void` | `setFilename(String f)` Sets the filename attribute of the ResultCollector object.
`void` | `setSaveConfig(SampleSaveConfiguration saveConfig)`
`void` | `setSuccessOnlyLogging(boolean value)`
`void` | `testEnded()` Called once for all threads after the end of a test.
`void` | `testEnded(String host)` Called once for all threads after the end of a test.
`void` | `testIterationStart(LoopIterationEvent event)` Each time through a Thread Group's test script, an iteration event is fired for each thread.
`void` | `testStarted()` Called just before the start of the test from the main engine thread.
`void` | `testStarted(String host)` Called just before the start of the test from the main engine thread.

Methods inherited from class org.apache.jmeter.reporters.AbstractListenerElement
`getVisualizer, setListener`

Methods inherited from class org.apache.jmeter.testelement.AbstractTestElement
`addProperty, addTestElement, canRemove, clear, clearTemporary, emptyTemporary, equals, getComment, getName, getProperty, getPropertyAsBoolean, getPropertyAsBoolean, getPropertyAsDouble, getPropertyAsFloat, getPropertyAsInt, getPropertyAsInt, getPropertyAsLong, getPropertyAsString, getPropertyAsString, getThreadContext, getThreadName, hashCode, isEnabled, isRunningVersion, isTemporary, logProperties, mergeIn, propertyIterator, recoverRunningVersion, removeProperty, setComment, setName, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setRunningVersion, setTemporary, setThreadContext, setThreadName, traverse, traverseCollection, traverseMap, traverseProperty`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FILENAME

    public static final String FILENAME

See Also:
  Constant Field Values

Constructor Detail

### ResultCollector

    public ResultCollector()

  No-arg constructor.

Method Detail

### clone

    public Object clone()

  Specified by:
    `clone` in interface `TestElement`
  Overrides:
    `clone` in class `AbstractListenerElement`

### getFilename

    public String getFilename()

### isErrorLogging

    public boolean isErrorLogging()

### setErrorLogging

    public void setErrorLogging(boolean errorLogging)

### setSuccessOnlyLogging

    public void setSuccessOnlyLogging(boolean value)

### isSuccessOnlyLogging

    public boolean isSuccessOnlyLogging()

### isSampleWanted

    public boolean isSampleWanted(boolean success)

  Decides whether or not to a sample is wanted based on:
  - errorOnly
  - successOnly
  - sample success
  Should only be called for single samples.

  Parameters:
    `success` - is sample successful
  Returns:
    whether to log/display the sample

### isSampleWanted

    public static boolean isSampleWanted(boolean success,
                                         boolean errorOnly,
                                         boolean successOnly)

  Decides whether or not to a sample is wanted based on:
  - errorOnly
  - successOnly
  - sample success
  This version is intended to be called by code that loops over many samples; it is cheaper than fetching the settings each time.

  Parameters:
    `success` - status of sample
    `errorOnly` - if errors only wanted
    `successOnly` - if success only wanted
  Returns:
    whether to log/display the sample

### setFilename

    public void setFilename(String f)

  Sets the filename attribute of the ResultCollector object.

  Parameters:
    `f` - the new filename value

### testEnded

    public void testEnded(String host)

  Description copied from interface: `TestListener`

  Called once for all threads after the end of a test. This will use the same element instances as at the start of the test.

  N.B. testStarted() and testEnded() are called from different threads.

  Specified by:
    `testEnded` in interface `TestListener`
  See Also:
    `StandardJMeterEngine.stopTest()`

### testStarted

    public void testStarted(String host)

  Description copied from interface: `TestListener`

  Called just before the start of the test from the main engine thread. This is before the test elements are cloned. Note that not all the test variables will have been set up at this point.

  N.B. testStarted() and testEnded() are called from different threads.

  Specified by:
    `testStarted` in interface `TestListener`
  See Also:
    `StandardJMeterEngine.run()`

### testEnded

    public void testEnded()

  Description copied from interface: `TestListener`

  Called once for all threads after the end of a test. This will use the same element instances as at the start of the test.

  N.B. testStarted() and testEnded() are called from different threads.

  Specified by:
    `testEnded` in interface `TestListener`
  See Also:
    `StandardJMeterEngine.stopTest()`

### testStarted

    public void testStarted()

  Description copied from interface: `TestListener`

  Called just before the start of the test from the main engine thread. This is before the test elements are cloned. Note that not all the test variables will have been set up at this point.

  N.B. testStarted() and testEnded() are called from different threads.

  Specified by:
    `testStarted` in interface `TestListener`
  See Also:
    `StandardJMeterEngine.run()`

### loadExistingFile

    public void loadExistingFile()

  Loads an existing sample data (JTL) file. This can be one of: - XStream format - Avalon format - CSV format

### sampleStarted

    public void sampleStarted(SampleEvent e)

  Description copied from interface: `SampleListener`
  A sample has started.

  Specified by:
    `sampleStarted` in interface `SampleListener`

### sampleStopped

    public void sampleStopped(SampleEvent e)

  Description copied from interface: `SampleListener`
  A sample has stopped.

  Specified by:
    `sampleStopped` in interface `SampleListener`

### sampleOccurred

    public void sampleOccurred(SampleEvent event)

  When a test result is received, display it and save it.

  Specified by:
    `sampleOccurred` in interface `SampleListener`
  Parameters:
    `event` - the sample event that was received

### sendToVisualizer

    protected final void sendToVisualizer(SampleResult r)

### recordStats

    public void recordStats(TestElement e)
                     throws Exception

  recordStats is used to save statistics generated by visualizers

  Parameters:
    `e` -
  Throws:
    `Exception`

### testIterationStart

    public void testIterationStart(LoopIterationEvent event)

  Description copied from interface: `TestListener`
  Each time through a Thread Group's test script, an iteration event is fired for each thread. This will be after the test elements have been cloned, so in general the instance will not be the same as the ones the start/end methods call.

  Specified by:
    `testIterationStart` in interface `TestListener`
  Parameters:
    `event` -

### getSaveConfig

    public SampleSaveConfiguration getSaveConfig()

  Returns:
    Returns the saveConfig.

### setSaveConfig

    public void setSaveConfig(SampleSaveConfiguration saveConfig)

  Parameters:
    `saveConfig` - The saveConfig to set.

### clearData

    public void clearData()

  Description copied from interface: `Clearable`
  Clears the current data of the object.

  Specified by:
    `clearData` in interface `Clearable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2009 Apache Software Foundation. All Rights Reserved.